## phpldapadmin 0.9.5

=== lang/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # 
 # This Makefile (lang/Makefile) converts the source lang files to UTF8
 # coding. You need iconv installed to use it.
-# $Header: /cvsroot/phpldapadmin/phpldapadmin/lang/Makefile,v 1.18 2004/03/19 20:25:50 i18phpldapadmin Exp $
+# $Header: /cvsroot/phpldapadmin/phpldapadmin/lang/Makefile,v 1.24 2004/12/09 14:12:16 uugdave Exp $
 # ToDo: detect the encoding in the "source"
 #
 # posible detect of the language
@@ -21,11 +21,14 @@
 
 TARGETS=${DESTDIR}/auto.php \
 		${DESTDIR}/ca.php \
+		${DESTDIR}/cz.php \
 		${DESTDIR}/de.php \
 		${DESTDIR}/en.php \
 		${DESTDIR}/es.php \
 		${DESTDIR}/fr.php \
+		${DESTDIR}/hu.php \
 		${DESTDIR}/it.php \
+		${DESTDIR}/ja.php \
 		${DESTDIR}/nl.php \
 		${DESTDIR}/pl.php \
 		${DESTDIR}/pt-br.php \
@@ -33,6 +36,8 @@
 		${DESTDIR}/sv.php \
 		${DESTDIR}/zz.php \
 		${DESTDIR}/zzz.php
+# OFF zh-tw.php
+#	        ${DESTDIR}/zh-tw.php \
 
 default: 
 	@echo "usage:"
@@ -70,6 +75,11 @@
 	@echo "Fixing encoding ca.php to UTF8 "${DESTDIR}/ca.php
 	@iconv -f iso8859-1 -t utf8 ca.php > ${DESTDIR}/ca.php
 
+${DESTDIR}/cz.php: 	cz.php
+	@echo "Fixing encoding cz.php to UTF8 "${DESTDIR}/cz.php
+	@iconv -f iso8859-2 -t utf8 cz.php > ${DESTDIR}/cz.php
+
+
 ${DESTDIR}/de.php: 	de.php
 	@echo "Fixing encoding de.php to UTF8 "${DESTDIR}/de.php
 	@iconv -f iso8859-1 -t utf8 de.php > ${DESTDIR}/de.php
@@ -86,9 +96,18 @@
 	@echo "Fixing encoding fr.php to UTF8 "${DESTDIR}/fr.php
 	@iconv -f iso8859-1 -t utf8 fr.php > ${DESTDIR}/fr.php
 
+${DESTDIR}/hu.php: 	hu.php
+	@echo "Fixing encoding hu.php to UTF8 "${DESTDIR}/hu.php
+	#@iconv -f iso8859-2 -t utf8 hu.php > ${DESTDIR}/hu.php
+	cp hu.php  ${DESTDIR}/.
+
 ${DESTDIR}/it.php: 	it.php
 	@echo "Fixing encoding it.php to UTF8 "${DESTDIR}/it.php
 	@iconv -f iso8859-1 -t utf8 it.php > ${DESTDIR}/it.php
+
+${DESTDIR}/ja.php:  ja.php
+	@echo "Copying only the ja.php"
+	@cp ja.php ${DESTDIR}/.
 
 ${DESTDIR}/nl.php: 	nl.php
 	@echo "Fixing encoding nl.php to UTF8 "${DESTDIR}/nl.php
@@ -110,11 +129,16 @@
 	@echo "Fixing encoding ru.php to UTF8 "${DESTDIR}/ru.php
 	@iconv -f utf8 -t utf8 ru.php > ${DESTDIR}/ru.php
 
+#${DESTDIR}/zh-tw.php:	zh-tw.php
+#	@echo "Copying only the zh-tw.php"
+        # 	@iconv -f utf8 -t utf8 zh-tw.php ${DESTDIR}/zh-tw.php
+        # INTERNAL BUG COULDN CONVERT IT, SO WE COPY IT
+	# cp zh-tw.php ${DESTDIR}/zh-tw.php
 ${DESTDIR}/zz.php:	zz.php
 	@echo "Copying only the zz.php"
-	@cp zz.php ${DESTDIR}/zz.php
+	@cp zz.php ${DESTDIR}/.
 
 ${DESTDIR}/zzz.php:	zzz.php
 	@echo "Copying only the zzz.php"
-	@cp zzz.php ${DESTDIR}/zzz.php
+	@cp zzz.php ${DESTDIR}/.
