## phpldapadmin 1.2.2

=== debian/changelog ===
phpldapadmin (1.2.2-6.3) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.

  [ Nishanth Aravamudan ]
  * Add run-time dependency on php-xml.
    Closes: #949368, LP: #1566481

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jan 2020 09:36:52 +0100

phpldapadmin (1.2.2-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "phpLDAPadmin uses features that are deprecated in PHP 7.2"
    replacing __autoload() and create_function() with spl_autoload_register()
    and function() functions. Thanks to Lars Kollstedt for providing a
    cumulative patch in message #20 of bug report (Closes: #890127).
  * Fix "binary package embeds .pc directory" removing '.pc' subfolder
    at the end of install step of debian/rules file (Closes: #878613).
  * CVE-2017-11107: XSS vulnerabilities, patch provided by Antoine
    Beaupre <anarcat@orangeseeds.org> (Closes: #867719).
  * Bug #731871 already fixed in previous revision setting ownership
    root:www-data to foder /etc/phpldapadmin/templates (Closes: #731871).

 -- Simone Rossetto <simros85@gmail.com>  Mon, 13 Jan 2020 22:48:01 +0100

phpldapadmin (1.2.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Create /etc/apache2/conf-available on the fly before trying to put a
    symlink there, fixing installation failure spotted through piuparts
    (Closes: #834015).
  * By symmetry, try to remove it (rmdir || true) in postrm, to avoid
    leaving an empty directory behind.

 -- Cyril Brulebois <cyril@debamax.com>  Fri, 13 Oct 2017 00:52:28 +0200

phpldapadmin (1.2.2-6) unstable; urgency=medium

  * PHP 7.0 transition (Closes: #821585)
  * Bump standards to 3.9.6 (no changes)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 06 Aug 2016 09:21:21 +0200

phpldapadmin (1.2.2-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the php 5.5 compatibility patch for the password_hash_custom
    setting (Closes: #761637).

 -- Mika Pflüger <debian@mikapflueger.de>  Thu, 05 Feb 2015 00:41:07 +0100

phpldapadmin (1.2.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust installation of conf file for Apache 2.4 (Closes: #669840,
    LP: #1246170). Thanks to Geliy Sokolov!
  * Cherrypick patch from upstream bug tracker fixing compatibility
    with php 5.5 (Closes: #733576, LP: #1241425).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 01 May 2014 22:30:37 -0400

phpldapadmin (1.2.2-5) unstable; urgency=low

  * Debconf translations:
    - Spanish (Omar Campagne). Closes: #678119
    - Slovak (Ivan Masár). Closes: #681531
  * Bump standards to 3.9.3 (no changes)

 -- Marcus Osdoba <marcus.osdoba@googlemail.com>  Thu, 19 Jul 2012 11:31:02 +0200

phpldapadmin (1.2.2-4) unstable; urgency=low

  * Debconf translations:
    - Dutch (Jeroen Schot). Closes: #661681
    - Swedish (Martin Bagge). Closes: #661350
    - Brazilian Portugese (J.S.Júnior). Closes: #661206

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 Mar 2012 06:54:01 +0100

phpldapadmin (1.2.2-3) unstable; urgency=high

  * debian/patches/upstream-XSS-2.patch: fixes XSS vulnerabilities.
    Patch provided by Roland Gruber <post@rolandgruber.de>.
    CVE-2012-1114, CVE-2012-1115 (Closes: #662050)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 08 Mar 2012 17:07:50 +0100

phpldapadmin (1.2.2-2) unstable; urgency=low

  [ Marcus Osdoba ]
  * Not reproducible (Closes: #561387)
  * Fix pending l10n issues. Debconf translations:
    - French (Christian Perrier). Closes: #659411
    - Danish (Joe Dalton) Closes: #659445
    - Polish (Michał Kułach). Closes: #659477
    - Czech (Miroslav Kure) Closes: #659572
    - Dutch (Jeroen Schot) Closes: #660225
    - Russian (Yuri Kozlov) Closes: #660234
    - Portuguese (Traduz) Closes: #660703
    - German (Matthias Julius) Closes: #660709
  * CVE-2012-0834: XSS (Closes: #658907)
    (already included in last version SF Bug #3477910)
  * it.po with mailing address debian-l10n-italian (Closes: #660024)
  * Line 390 includes the closing comment already (Closes: #652221)

  [ Fabio Tranchitella ]
  * Added Marcus Osdoba as Uploader.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 22 Feb 2012 08:45:48 +0100

phpldapadmin (1.2.2-1) unstable; urgency=low

  [ Marcus Osdoba ]
  * Non-maintainer upload.
  * New upstream release (Closes: #605061,#499862,#505578,#517802,#642445)
  * Not reproducible in this version (Closes: #502412,#505575,#521033,#527070)
  * SF Bug #3477910 - XSS vulnerability in query
  * Remove dependency to unknown package libapache-mod-php5
  * Fix lintian warnings in templates.
  * Remove apt-dependancy to apache2 (Closes: #622657)
  * Use | instead of # for sed used in config/postinst (Closes: #616305)
  * Add browser hint in package description (Closes: #527070)
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #638680
    - Polish (Michał Kułach).  Closes: #657458
  * Bump standards to 3.9.2
  * Use quilt as source format

  [ Fabio Tranchitella ]
  * Uploaded work by Marcus Osdoba.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 08 Feb 2012 08:52:18 +0100

phpldapadmin (1.2.0.5-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2011-4074 Fix XSS vulnerability in debug code (Closes: #646769)
  * CVE-2011-4075 Fix arbitrary code execution by unauthenticated users
    (Closes: #646754)

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 27 Oct 2011 17:51:24 +0100

phpldapadmin (1.2.0.5-2) unstable; urgency=low

  [ Julien Valroff ]
  * Handle /etc/phpldapadmin/config.php as a conffile using ucf and ensure
    user changes are preserved on package uprgade (Closes: #578981) 

  [ Fabio Tranchitella ]
  * Ack previous Non-maintainer upload.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 19 Oct 2010 10:17:29 +0200

phpldapadmin (1.2.0.5-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Switch off register_globals in debian apache configuration, looking

