## phpldapadmin 1.2.6.3

=== debian/changelog ===
phpldapadmin (1.2.6.3-0.3+deb12u1) bookworm; urgency=medium

  * Update the patch for PHP 7.4 LDAP login to work like PHP 8.1

 -- William Desportes <williamdes@wdes.fr>  Mon, 04 Sep 2023 12:14:31 +0200

phpldapadmin (1.2.6.3-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add PHP 8.0, 8.1, 8.2 patches (Closes: #1033163)
  * Add a PHP 8 openssl 3 patch (Closes: #1033163)
  * Add a patch for CVE-2020-35132 (Closes: #987355)

 -- William Desportes <williamdes@wdes.fr>  Sun, 19 Mar 2023 00:10:35 +0100

phpldapadmin (1.2.6.3-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Previous changelog also closed:
  * Make build reproducible (Closes: #834279)
  * Update to github new upstream release (Closes: #952635)
  * Fix CVE-2020-35132 (Closes: #987355)
  * Add japanese translation (Closes: #717205)
    - thanks victory for the patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jan 2022 17:56:42 +0100

phpldapadmin (1.2.6.3-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #985223 LP: #1906474).
  * Update watch file to 4
  * debian/watch: track github releases.
  * Drop all patches, now merged upstream
  * debian/patches/149.patch:
    - upstream merged change for PHP 8 compatibility
  * Drop ucf version constraint
  * Bump compat level to 13
  * Bump std-version to 4.6.0
  * Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Apr 2021 12:47:45 +0200
