=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: extra
 Maintainer: Fabio Tranchitella <kobold@debian.org>
 Uploaders: Marcus Osdoba <marcus.osdoba@googlemail.com>
-Build-Depends: debhelper (>= 7.0.0), po-debconf, gettext
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13), po-debconf, gettext
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 
 Package: phpldapadmin
 Architecture: all
-Depends: php, php-ldap, php-xml, ucf (>= 0.28), ${misc:Depends}
+Depends: php, php-ldap, php-xml, ucf, ${misc:Depends}
 Description: web based interface for administering LDAP servers
  phpLDAPadmin is a web-based LDAP client. It provides easy,
  anywhere-accessible, multi-language administration for your LDAP
