## phpldapadmin 1.2.6.7

=== debian/changelog ===
phpldapadmin (1.2.6.7-4) unstable; urgency=medium

  * Fix CVE-2024-9101 - A reflected cross-site scripting
  * Add a patch for ldap_connect with two arguments is deprecated
  * Remove build depends on gettext

 -- William Desportes <williamdes@wdes.fr>  Fri, 11 Apr 2025 14:30:23 +0200

phpldapadmin (1.2.6.7-3) unstable; urgency=medium

  * Fix PHP 8.4 error: Creation of dynamic property AttributeType
    (Closes: #1100771)
  * Set myself as the maintainer
  * Bump my copyright and fix GPL text
  * Bump Standards-Version to 4.7.2
  * Remove another inactive Uploader

 -- William Desportes <williamdes@wdes.fr>  Wed, 26 Mar 2025 23:34:33 +0100

phpldapadmin (1.2.6.7-2) unstable; urgency=medium
  * Add a patch for PHP 8.4 E_DEPRECATED
  * Add a patch to stop using xml_set_object for PHP 8.4 (Closes: #1089729)
  * Add a patch for Serialization of SensitiveParameterValue
  * Bump Standards-Version to 4.7.0

 -- William Desportes <williamdes@wdes.fr>  Tue, 31 Dec 2024 18:22:41 +0100

phpldapadmin (1.2.6.7-1) unstable; urgency=medium

  * New upstream version 1.2.6.7 (Fixes XSS vulnerability)
  * Drop patches released upstream
  * Refresh PHP 8.2 patch
  * Use the same invoke-rc.d detection as postinst script
  * Add a patch to update the VERSION file to 1.2.6.7
  * Remove usr/share/phpldapadmin/lang from d/dirs

 -- William Desportes <williamdes@wdes.fr>  Sun, 21 Jan 2024 11:27:04 +0100

phpldapadmin (1.2.6.6-2) unstable; urgency=medium

  * Fix armhf&i386 DEP-8 tests crash (Closes: #1053957)

 -- William Desportes <williamdes@wdes.fr>  Sun, 15 Oct 2023 00:43:30 +0200

phpldapadmin (1.2.6.6-1) unstable; urgency=medium

  * New upstream version 1.2.6.6
  * Add myself to Uploaders
  * Update Standards-Version to 4.6.2
  * Add d/upstream/metadata
  * Add Vcs-* and Homepage
  * Run wrap-and-sort
  * Add Romanian translation (Closes: #1033387)
  * Add gbp.conf
  * Update patches Forwarded fields (Closes: #706695)
  * Drop all forwarded patches (Closes: #1051391)
  * Refresh patches
  * Add a patch for PHP 8.2 deprecated $var strings
  * Add selenium DEP-8 tests
  * Improve the d/copyright

 -- William Desportes <williamdes@wdes.fr>  Wed, 13 Sep 2023 10:08:24 +0200
