=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: phpldapadmin
 Section: admin
-Priority: extra
-Maintainer: Fabio Tranchitella <kobold@debian.org>
-Uploaders: Marcus Osdoba <marcus.osdoba@googlemail.com>
-Build-Depends: debhelper-compat (= 13), po-debconf, gettext
-Standards-Version: 4.6.0
+Priority: optional
+Maintainer: William Desportes <williamdes@wdes.fr>
+Build-Depends: debhelper-compat (= 13), po-debconf
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/php-team/pear/phpldapadmin
+Vcs-Git: https://salsa.debian.org/php-team/pear/phpldapadmin.git -b debian/unstable
+Homepage: https://www.phpldapadmin.org/
 
 Package: phpldapadmin
 Architecture: all
 Depends: php, php-ldap, php-xml, ucf, ${misc:Depends}
+Recommends: libapache2-mod-php | lighttpd | nginx | php-fpm | httpd
+Suggests: www-browser
 Description: web based interface for administering LDAP servers
  phpLDAPadmin is a web-based LDAP client. It provides easy,
  anywhere-accessible, multi-language administration for your LDAP
