=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installdocs:
	mkdir debian/tmp
	cp ./hooks/classes/README ./debian/tmp/hooks-classes-README.txt
	cp ./hooks/functions/README ./debian/tmp/hooks-functions-README.txt
	cp ./hooks/functions/example.php ./debian/tmp/hooks-functions-example.php
	cp ./doc/ldif-Simpsons ./debian/tmp/Simpsons.ldif
	cp ./doc/ldif-Flintstones ./debian/tmp/Flintstones.ldif
	cp ./doc/ldif-example-com ./debian/tmp/example-com.ldif
	cp ./doc/ldif-example.com ./debian/tmp/example.com.ldif
	dh_installdocs

override_dh_fixperms:
	dh_fixperms
	# Two files with x permissions for no good reason
	find debian -path '*/htdocs/*' -name 'export*.php' -print -exec chmod -x {} +
    # rwx for owner, rx for group, r for others
	find debian -path '*/templates*' -type d -print -exec chmod 0755 {} +
    # rwx for owner, rx for group, r for others
	find debian -path '*/hooks*' -type d -print -exec chmod 0755 {} +
    # rw for owner, r for group, r for others
	find debian -path '*/templates/*' -type f -print -exec chmod 0644 {} +
    # rw for owner, r for group, r for others
	find debian -path '*/hooks/*' -type f -print -exec chmod 0644 {} +

override_dh_compress:
	dh_compress -Xuidpool.schema -X.ldif

override_dh_installdebconf:
	dh_installdebconf -pphpldapadmin
