=== debian/tests/control ===
Tests: selenium
Restrictions: skip-not-installable, needs-sudo
Depends: chromium-driver,
         ldap-utils,
         lighttpd,
         php-cgi,
         python3-selenium,
         slapd,
         @
